const { baseUrl } = require('../../../request');

Page({
  /**
   * 页面的初始数据
   */
  data: {
    // 四张轮播图（已统一为同一 URL）
    banners: [
      'https://ide.code.fun/api/image?token=6827630f4ae84d00122fd0c8&name=3546cd30f9261498a373e044e509b14e.png',
      'https://ide.code.fun/api/image?token=6827630f4ae84d00122fd0c8&name=3546cd30f9261498a373e044e509b14e.png',
      'https://ide.code.fun/api/image?token=6827630f4ae84d00122fd0c8&name=3546cd30f9261498a373e044e509b14e.png',
      'https://ide.code.fun/api/image?token=6827630f4ae84d00122fd0c8&name=3546cd30f9261498a373e044e509b14e.png'
    ],
    // 后端返回的项目列表
    items: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    // 从本地缓存取出 token
    const token = wx.getStorageSync('token');

    // 请求项目列表
    wx.request({
      url: baseUrl + '/project/query/card',  // 请替换为真实接口
      method: 'POST',
      header: {
        Authorization: token    // 带上授权头
      },
      success: res => {
        if (res.data.code === 1) {
          // 渲染项目数据 
          this.setData({ items: res.data.data });
        } else {
          wx.showToast({
            title: res.data.message || '获取项目列表失败',
            icon: 'none'
          });
        }
      },
      fail: () => {
        wx.showToast({ title: '网络错误，请重试', icon: 'none' });
      }
    });
  },
  /**
   * 点击“参与推广”
   */
  gotoPromotion(e) {
    // 从 dataset 拿到 data-id
    const projectId = e.currentTarget.dataset.id;
    // 带上 id 跳转到详情页（路径按你的项目结构调整）
    wx.navigateTo({
      url: `/pages/projectModule/projectDetail/projectDetail?id=${projectId}`
    });
  },
});
